Package docking.widgets

# Class SideKickVerticalScrollbar

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JScrollBar
docking.widgets.SideKickVerticalScrollbar

All Implemented Interfaces:
  `Adjustable`, `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class SideKickVerticalScrollbar extends JScrollBar
A Vertical JScrollbar that displays an additional component to its right and sized such that its top is just below the top button of the scrollbar and its bottom is just above the bottom button of the scrollbar. Useful for providing an "overview" panel.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JScrollBar

  `JScrollBar.AccessibleJScrollBar`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JScrollBar

  `blockIncrement, model, orientation, unitIncrement`

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.Adjustable

  `HORIZONTAL, NO_ORIENTATION, VERTICAL`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SideKickVerticalScrollbar(Component sideKick, JViewport viewport)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAdjustmentListener(AdjustmentListener l)`
  `AdjustmentListener[]`
  `getAdjustmentListeners()`
  `int`
  `getBlockIncrement()`
  `int`
  `getBlockIncrement(int direction)`
  `int`
  `getMaximum()`
  `Dimension`
  `getMaximumSize()`
  `int`
  `getMinimum()`
  `Dimension`
  `getMinimumSize()`
  `BoundedRangeModel`
  `getModel()`
  `int`
  `getOrientation()`
  `ScrollBarUI`
  `getUI()`
  `String`
  `getUIClassID()`
  `int`
  `getUnitIncrement()`
  `int`
  `getUnitIncrement(int direction)`
  `int`
  `getValue()`
  `boolean`
  `getValueIsAdjusting()`
  `int`
  `getVisibleAmount()`
  `void`
  `removeAdjustmentListener(AdjustmentListener l)`
  `void`
  `setBlockIncrement(int blockIncrement)`
  `void`
  `setEnabled(boolean x)`
  `void`
  `setMaximum(int maximum)`
  `void`
  `setMaximumSize(Dimension maximumSize)`
  `void`
  `setMinimum(int minimum)`
  `void`
  `setMinimumSize(Dimension minimumSize)`
  `void`
  `setModel(BoundedRangeModel newModel)`
  `void`
  `setOrientation(int orientation)`
  `void`
  `setUI(ScrollBarUI ui)`
  `void`
  `setUnitIncrement(int unitIncrement)`
  `void`
  `setValue(int value)`
  `void`
  `setValueIsAdjusting(boolean b)`
  `void`
  `setValues(int newValue, int newExtent, int newMin, int newMax)`
  `void`
  `setVisibleAmount(int extent)`
  `void`
  `updateUI()`

  ### Methods inherited from class javax.swing.JScrollBar

  `fireAdjustmentValueChanged, getAccessibleContext, paramString`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SideKickVerticalScrollbar

    public SideKickVerticalScrollbar(Component sideKick, JViewport viewport)

- ## Method Details

  - ### addAdjustmentListener

    public void addAdjustmentListener(AdjustmentListener l)
    Specified by:
      `addAdjustmentListener` in interface `Adjustable`
    Overrides:
      `addAdjustmentListener` in class `JScrollBar`

  - ### getAdjustmentListeners

    public AdjustmentListener[] getAdjustmentListeners()
    Overrides:
      `getAdjustmentListeners` in class `JScrollBar`

  - ### getBlockIncrement

    public int getBlockIncrement()
    Specified by:
      `getBlockIncrement` in interface `Adjustable`
    Overrides:
      `getBlockIncrement` in class `JScrollBar`

  - ### getBlockIncrement

    public int getBlockIncrement(int direction)
    Overrides:
      `getBlockIncrement` in class `JScrollBar`

  - ### getMaximum

    public int getMaximum()
    Specified by:
      `getMaximum` in interface `Adjustable`
    Overrides:
      `getMaximum` in class `JScrollBar`

  - ### getMaximumSize

    public Dimension getMaximumSize()
    Overrides:
      `getMaximumSize` in class `JScrollBar`

  - ### getMinimum

    public int getMinimum()
    Specified by:
      `getMinimum` in interface `Adjustable`
    Overrides:
      `getMinimum` in class `JScrollBar`

  - ### getMinimumSize

    public Dimension getMinimumSize()
    Overrides:
      `getMinimumSize` in class `JScrollBar`

  - ### getModel

    public BoundedRangeModel getModel()
    Overrides:
      `getModel` in class `JScrollBar`

  - ### getOrientation

    public int getOrientation()
    Specified by:
      `getOrientation` in interface `Adjustable`
    Overrides:
      `getOrientation` in class `JScrollBar`

  - ### getUI

    public ScrollBarUI getUI()
    Overrides:
      `getUI` in class `JScrollBar`

  - ### getUIClassID

    public String getUIClassID()
    Overrides:
      `getUIClassID` in class `JScrollBar`

  - ### getUnitIncrement

    public int getUnitIncrement()
    Specified by:
      `getUnitIncrement` in interface `Adjustable`
    Overrides:
      `getUnitIncrement` in class `JScrollBar`

  - ### getUnitIncrement

    public int getUnitIncrement(int direction)
    Overrides:
      `getUnitIncrement` in class `JScrollBar`

  - ### getValue

    public int getValue()
    Specified by:
      `getValue` in interface `Adjustable`
    Overrides:
      `getValue` in class `JScrollBar`

  - ### getValueIsAdjusting

    public boolean getValueIsAdjusting()
    Overrides:
      `getValueIsAdjusting` in class `JScrollBar`

  - ### getVisibleAmount

    public int getVisibleAmount()
    Specified by:
      `getVisibleAmount` in interface `Adjustable`
    Overrides:
      `getVisibleAmount` in class `JScrollBar`

  - ### removeAdjustmentListener

    public void removeAdjustmentListener(AdjustmentListener l)
    Specified by:
      `removeAdjustmentListener` in interface `Adjustable`
    Overrides:
      `removeAdjustmentListener` in class `JScrollBar`

  - ### setBlockIncrement

    public void setBlockIncrement(int blockIncrement)
    Specified by:
      `setBlockIncrement` in interface `Adjustable`
    Overrides:
      `setBlockIncrement` in class `JScrollBar`

  - ### setEnabled

    public void setEnabled(boolean x)
    Overrides:
      `setEnabled` in class `JScrollBar`

  - ### setMaximum

    public void setMaximum(int maximum)
    Specified by:
      `setMaximum` in interface `Adjustable`
    Overrides:
      `setMaximum` in class `JScrollBar`

  - ### setMaximumSize

    public void setMaximumSize(Dimension maximumSize)
    Overrides:
      `setMaximumSize` in class `JComponent`

  - ### setMinimum

    public void setMinimum(int minimum)
    Specified by:
      `setMinimum` in interface `Adjustable`
    Overrides:
      `setMinimum` in class `JScrollBar`

  - ### setMinimumSize

    public void setMinimumSize(Dimension minimumSize)
    Overrides:
      `setMinimumSize` in class `JComponent`

  - ### setModel

    public void setModel(BoundedRangeModel newModel)
    Overrides:
      `setModel` in class `JScrollBar`

  - ### setOrientation

    public void setOrientation(int orientation)
    Overrides:
      `setOrientation` in class `JScrollBar`

  - ### setUI

    public void setUI(ScrollBarUI ui)
    Overrides:
      `setUI` in class `JScrollBar`

  - ### setUnitIncrement

    public void setUnitIncrement(int unitIncrement)
    Specified by:
      `setUnitIncrement` in interface `Adjustable`
    Overrides:
      `setUnitIncrement` in class `JScrollBar`

  - ### setValue

    public void setValue(int value)
    Specified by:
      `setValue` in interface `Adjustable`
    Overrides:
      `setValue` in class `JScrollBar`

  - ### setValueIsAdjusting

    public void setValueIsAdjusting(boolean b)
    Overrides:
      `setValueIsAdjusting` in class `JScrollBar`

  - ### setValues

    public void setValues(int newValue, int newExtent, int newMin, int newMax)
    Overrides:
      `setValues` in class `JScrollBar`

  - ### setVisibleAmount

    public void setVisibleAmount(int extent)
    Specified by:
      `setVisibleAmount` in interface `Adjustable`
    Overrides:
      `setVisibleAmount` in class `JScrollBar`

  - ### updateUI

    public void updateUI()
    Overrides:
      `updateUI` in class `JScrollBar`